Index: console/src/resources/webconsole.war/createThresholdMonitorSummary.jsp
===================================================================
--- console/src/resources/webconsole.war/createThresholdMonitorSummary.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/createThresholdMonitorSummary.jsp	(working copy)
@@ -46,13 +46,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Server Information</title>
+<title>${messages["JBoss Management Console - Server Information"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -62,52 +62,52 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Threshold MBean Monitor Created</h3>
+			<h3>${messages["Threshold MBean Monitor Created"]}</h3>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>" readonly></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be referenced within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=objectName%>" size="35" readonly></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35" readonly></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>" readonly></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>" readonly></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Comparison Equation</b></td>
+    <td><b>${messages["Comparison Equation"]}</b></td>
     <td><select name="compare" id="compare" size="1">
         <option value="gt" <%=compare.equals("gt") ? "SELECTED" : ""%>>&gt;</option>
         <option value="lt" <%=compare.equals("lt") ? "SELECTED" : ""%>>&lt;</option>
         <option value="eq" <%=compare.equals("eq") ? "SELECTED" : ""%>>=</option>
         </select>
     </td>
-    <td><i>Boolean expression to use when testing threshold hit.</i></td>
+    <td><i>${messages["Boolean expression to use when testing threshold hit."]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled."]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    MBeanServer mbeanServer = MBeanServerLocator.locateJBoss();
@@ -136,7 +136,7 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
 </form>
@@ -149,7 +149,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPMethodMethodCallerChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPMethodMethodCallerChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPMethodMethodCallerChain.jsp	(working copy)
@@ -14,14 +14,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -49,16 +48,16 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Method Caller: <%=AOPLister.shortenMethod(classname, method)%></font></h4>
-                    <h4 style="text-align: center"><font size="3">Called Method: <%=info.method.toString()%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Method Caller: "]}<%=AOPLister.shortenMethod(classname, method)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Called Method: "]}<%=info.getMethod().toString()%></font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -70,7 +69,7 @@
 <% } %>
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -84,7 +83,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/index.jsp
===================================================================
--- console/src/resources/webconsole.war/index.jsp	(revision 0)
+++ console/src/resources/webconsole.war/index.jsp	(revision 0)
@@ -0,0 +1,19 @@
+<html>
+
+<head>
+<title>${messages["Administration Console"]}</title>
+</head>
+
+<frameset cols="30%,*">
+  <frame id="left" name="left" src="applet.jsp" scrolling="no" marginwidth="0" marginheight="0" style="padding-left: 8; padding-right: 0; padding-top: 8; padding-bottom: 0">
+  <frame id="right" name="right" src="ServerInfo.jsp" >
+  <noframes>
+  <body>
+
+  <p>${messages["Please use a frame-capable browser."]}</p>
+
+  </body>
+  </noframes>
+</frameset>
+
+</html>

Index: console/src/resources/webconsole.war/manageSnapshot.jsp
===================================================================
--- console/src/resources/webconsole.war/manageSnapshot.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/manageSnapshot.jsp	(working copy)
@@ -40,13 +40,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Manage Snapshot</title>
+<title>${messages["JBoss Management Console - Manage Snapshot"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -56,7 +56,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Manage Snapshot</h3>
+			<h3>${messages["Manage Snapshot"]}</h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -70,48 +70,48 @@
 <input type="hidden" name="monitorObjectName" value="<%=moname.toString()%>">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>" readonly></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Monitor's Object Name</b></td>
+    <td><b>${messages['Monitor\'s Object Name']}</b></td>
     <td><input type="text" name="monitorObjectName" size="35" value="<%=monitorObjectName%>" readonly></td>
-    <td><i>The MBean javax.management.ObjectName</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=observedObject.toString()%>" size="35" readonly></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35" readonly></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>" readonly></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 </table>
 <% if (recording)
    {
 %>
-<input type="submit" name="action" value="Stop Snapshot">
+<input type="submit" name="action" value="${messages['Stop Snapshot']}">
 <% }  else {%>
-<input type="submit" name="action" value="Start Snapshot">
+<input type="submit" name="action" value="${messages['Start Snapshot']}">
 <% } %>
-<input type="submit" name="action" value="Graph Dataset">
-<input type="submit" name="action" value="Clear Dataset">
-<input type="submit" name="action" value="Show Dataset">
-<input type="submit" name="action" value="Remove Snapshot">
+<input type="submit" name="action" value="${messages['Graph Dataset']}">
+<input type="submit" name="action" value="${messages['Clear Dataset']}">
+<input type="submit" name="action" value="${messages['Show Dataset']}">
+<input type="submit" name="action" value="${messages['Remove Snapshot']}">
 </form>
 <%
 }
 catch (Exception ex)
 {
-   %> ERROR  <%
+   %> ${messages["ERROR"]}  <%
    ex.printStackTrace();
 }
 %>
@@ -124,7 +124,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPMethodConstructorCallerChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPMethodConstructorCallerChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPMethodConstructorCallerChain.jsp	(working copy)
@@ -14,14 +14,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -49,16 +48,16 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Method Caller: <%=AOPLister.shortenMethod(classname, method)%></font></h4>
-                    <h4 style="text-align: center"><font size="3">Called Constructor: <%=info.constructor.toString()%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Method Caller: "]}<%=AOPLister.shortenMethod(classname, method)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Called Constructor: "]}<%=info.getConstructor().toString()%></font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -70,7 +69,7 @@
 <% } %>
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -84,7 +83,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/Topic.jsp
===================================================================
--- console/src/resources/webconsole.war/Topic.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/Topic.jsp	(working copy)
@@ -13,13 +13,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - JMS Topic</title>
+<title>${messages["JBoss Management Console - JMS Topic"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -34,30 +34,30 @@
 		<tr align="center" valign="bottom">
 			<td height="24">
 				<jsp:include page="TopicNavigation.jsp" >
-					<jsp:param name="selectedTabName" value="JMS Topic"/>
+					<jsp:param name="selectedTabName" value="${messages['JMS Topic']}"/>
 				</jsp:include>
 			</td>
 		</tr>
 		<tr>
 		  <td colspan="5" valign="top" class="container">			
-			<h4>Name</h4>
+			<h4>${messages["Name"]}</h4>
 				<p><%=topic.getTopicName()%></p>
-			<h4>JNDI Name</h4>
+			<h4>${messages["JNDI Name"]}</h4>
 				<p><%=topic.getJNDIName()%></p>																	
-			<h4>Message statistics:</h4>
+			<h4>${messages["Message statistics:"]}</h4>
 			<table border="1" cellpadding="0" cellspacing="0" class="data_table" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td>
-                    <h4>All Message Count:</h4>
+                    <h4>${messages["All Message Count:"]}</h4>
                     </td>      
                     <td>
-                    <h4>Durable Message Count:</h4>
+                    <h4>${messages["Durable Message Count:"]}</h4>
                     </td>                                     
                     <td>
-                    <h4>Non Durable Message Count:</h4>
+                    <h4>${messages["Non Durable Message Count:"]}</h4>
                     </td>                    
                     <td>
-                    <h4>Maximum Depth:</h4>
+                    <h4>${messages["Maximum Depth:"]}</h4>
                     </td>                    
                   </tr>	
                   <tr align="center">
@@ -69,17 +69,17 @@
             </table>
             <p>&nbsp;</p>
 			<p>&nbsp;</p>
-            <h4>Subscription statistics:</h4>
+            <h4>${messages["Subscription statistics:"]}</h4>
 			<table border="1" cellpadding="0" cellspacing="0" class="data_table" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="33%" >
-                    <h4>All Subscriptions Count:</h4>
+                    <h4>${messages["All Subscriptions Count:"]}</h4>
                     </td>                    
                     <td width="33%">
-                    <h4>Durable Subcriptions Count</h4>                    
+                    <h4>${messages["Durable Subcriptions Count"]}</h4>                    
                     </td>                    
                     <td width="33%">
-                    <h4>Non Durable Subscriptions Count:</h4>
+                    <h4>${messages["Non Durable Subscriptions Count:"]}</h4>
                     </td>
                   </tr>	
                   <tr align="center">                  	
@@ -88,7 +88,7 @@
                   	<td><%=topic.getNonDurableSubscriptionsCount()%></td>
                   </tr>
             </table>
-            <p align="center"><a href="<%=myUrl%>">Refresh</a></p>            					
+            <p align="center"><a href="<%=myUrl%>">${messages["Refresh"]}</a></p>            					
             <p>&nbsp;</p>
 			<p>&nbsp;</p>						
 			              		
@@ -106,7 +106,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/createStringThresholdMonitor.jsp
===================================================================
--- console/src/resources/webconsole.war/createStringThresholdMonitor.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/createStringThresholdMonitor.jsp	(working copy)
@@ -55,13 +55,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Create String Threshold Monitor</title>
+<title>${messages["JBoss Management Console - Create String Threshold Monitor"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -71,7 +71,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Create String Threshold MBean Monitor</h3>
+			<h3>${messages["Create String Threshold MBean Monitor"]}</h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -84,47 +84,47 @@
 <form action="CreateStringThresholdMonitor" method="post">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>"></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=objectName%>" size="35"></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35"></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>"></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>"></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Equality Trigger</b></td>
+    <td><b>${messages["Equality Trigger"]}</b></td>
     <td><input type="checkbox" name="equality" value="" <%=equality%>></td>
-    <td><i>Uncheck this box if you want an alert to trigger when attribute changes from threshold value</i></td>
+    <td><i>${messages["Uncheck this box if you want an alert to trigger when attribute changes from threshold value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Persisted</b></td>
+    <td><b>${messages["Persisted"]}</b></td>
     <td><input type="checkbox" name="persisted" value="" checked></td>
-    <td><i>Should this monitor be created for next JBoss reboot?</i></td>
+    <td><i>${messages["Should this monitor be created for next JBoss reboot?"]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled?"]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    InstanceOfQueryExp queryExp = null;
@@ -151,10 +151,10 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
-<input type="submit" value="Create">
+<input type="submit" value="${messages['Create']}">
 </form>
 		</div>
 		<div class="spacer"><hr/></div>
@@ -165,7 +165,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPConstructorConstructorCallerChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPConstructorConstructorCallerChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPConstructorConstructorCallerChain.jsp	(working copy)
@@ -13,14 +13,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -48,16 +47,16 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Constructor Caller: <%=AOPLister.shortenConstructor(classname, constructor)%></font></h4>
-                    <h4 style="text-align: center"><font size="3">Called Constructor: <%=info.constructor.toString()%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Constructor Caller: "]}<%=AOPLister.shortenConstructor(classname, constructor)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Called Constructor: "]}<%=info.getConstructor().toString()%></font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -69,7 +68,7 @@
 <% } %>
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -83,7 +82,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPMethodMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPMethodMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPMethodMetaData.jsp	(working copy)
@@ -10,14 +10,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar"> 
@@ -34,6 +33,6 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Metadata for method <%=method%></h3>
+			<h3>${messages["Metadata for method {0}"][param.method]}</h3>
 	    <p>&nbsp;</p>
 <%@ include file="AOPMetaData.jsp" %>
